.TH XMPLAY 1 "6 FEBRUARY 1993" "X Version 11"
.SH NAME
xmplay - X11 directory browser for xmpeg [Version 1.0]
.SH SYNOPSIS
.B xmplay
.B [
[-bg background] [-bw width] [-display disp]
.br
[-fg foreground] [-geometry geom] [-h] [-hi highlight]
.br
[-icongeom geom] [-iconic] [-path directory]
.br
[-plane plane] [-player MPEG-player [-lo lowlight]
.br
[-dither {ordered|ordered2|mbordered|fs2|fs4|fs2fast|
.br
          hybrid|hybrid2|2x2|gray|color|mono|threshold}]
.B ]
.SH DESCRIPTION
.I Xmplay
is a simple directory browser for X11 for playing MPEG\-movie
using the mpeg\-player
.B xmpeg
based on the Berkeley Plateau Research Group.
.PP
When the window opens, it will display the contents of the current (or
specified) directory in a scrollable list. Next to each file name will be
an icon representing its file type. Subdirectories will be shown as 'file
folders', for instance. You can go 'down' the directory tree by 'Open'-ing
a subdirectory, by double clicking on the name. (Note: You can only
double-click directories and symbolic links. Other files are displayed
merely as a navigational aid.)
.PP
You can go 'up' the directory tree by clicking on the button at the very top
of the window. A pop-up menu will appear, with the current directory name at
the top, and its parent directories listed below it. Drag the mouse to any
directory in this list and let go. You will switch to that directory.
.PP
Once you are in the correct directory, you can select a file by typing a
simple file name (no /'s) or clicking a file name.
Ctrl-U or Ctrl-K will clear the typing line.
.PP
A double\-click on a filename will play the MPEG-movie.
.PP
The buttons are performing the following actions:
.TP 12
.B About
A window is coming up showing some information about the program itself.
.PP
.TP 12
.B Dither
This button will pop up the dither\-dialog. There you can select your
desired dither-method. It will be passed to the mpeg\-player. Click
the
.B Cancel
button to stop the action. Change the dither\-option be clicking on
the round dot beside each description and the
.B Ok
button to accept your choice.
.PP
.TP 12
.B Info
A window is coming up showing information about the selected file.
Click OK to leave the window.
.PP
.TP 12
.B Play
This has the same effect than the doubleclick on the selected filename.
It will start the mpeg\-player with the selected options.
.PP
.TP 12
.B Delete
Clicking this button tries to delete the selected file. You will
be asked whether to erase the file or not. Click the
.B Cancel
button to stop this action.
.PP
.TP 12
.B Quit
Leaves
.I xmplay .
.SH OPTIONS
.I Xmplay
accepts all X Toolkit command line options listed below:
.PP
.TP 12
.B -display
Sets the display to the specified name (Type: string).
This option will be exported to the desired MPEG\-player.
.TP 12
.B -geometry
Specifies the
.I xmplay
position and size on the screen.
(Resource name: geometry, Type: string, Default: none).
.TP 12
.B -icongeom
Specifies the
.I xmplay
icon position on the screen. Only positive values are excepted, because
the size of the icon depends on the window manager
(Resource name: icongeom, Type: string, Default: none).
.TP 12
.B -fg
Sets the foreground color for the window (Resource name: foreground,
Type: color, Default: black).
.TP 12
.B -bg
Sets the background color for the window (Resource name: background,
Type: color, Default: LemonChiffon).
.TP 12
.B -pl
Sets the plane (highlighted arreas) color for the window (Resource name:
plane, Type: color, Default: gray70).
.TP 12
.B -hi
Sets the higher border color for the buttons (Resource name:
highlight, Type: color, Default: gray90).
.TP 12
.B -lo
Sets the lower border color for the buttons (Resource name:
lowlight, Type: color, Default: gray30).
.TP 12
.B -bw
Specifies the border width for the window (Resource name: borderwidth,
Type: digit, Default: 2).
.TP 12
.B -iconic
Specifies that
.I xmplay
should start up iconified (Resource name: iconic, Type: boolean,
Default: false).
.TP 12
.B -path
Specifies that
.I xmplay
is coming up with the specified directory, instead of the current
(Resource name: path, Type: string, Default: .).
.TP 12
.B -player
Specifies the MPEG-player to start with the selected file.
(Resource name: player, Type: string, Default: xmpeg).
.TP 12
.B -dither
Specifies the dither\-option exported to the MPEG\-player.
See the usage for choises (Resource name: dither, Type: tring,
Default : ordered2).
.SH DIAGNOSTICS
.I Xmplay
exits with EOF (-1) if a fatal error occurs, otherwise with zero (0).
If an error occurs during an action, a error window is coming up explaining
the error. Click OK to continue (selected or specified filenames are then
deselected).
.SH SEE ALSO
mpeginfo, xmpeg
.SH AUTHOR
.I Xmplay
was developed by
.PP
.I Frank Gadegast
(phade@cs.tu-berlin.de)
.br
Leibnizstr. 30
.br
10625 Berlin GERMANY
.PP
.I Metin Cetinkaya
(brain@cs.tu-berlin.de)
.br
.I Juergen Meyer
(jm@cs.tu-berlin.de)
